---
title: Window.pkcs11
slug: Web/API/Window/pkcs11
tags:
  - API
  - HTML DOM
  - NeedsExample
  - NeedsMarkupWork
  - NeedsSpecTable
  - Obsolete
  - Property
  - Reference
  - Window
---
<p>{{ APIRef() }}</p>

<p>{{Obsolete_header(29)}}</p>

<h2 id="Summary">Summary</h2>

<p>Returns the <code>pkcs11</code> object, which is used to install drivers and other software associated with the <a href="/en/Pkcs11_protocol" title="en/Pkcs11_protocol">pkcs11 protocol</a>. If <code>pkcs11</code> isn't supported, this property returns <code>null</code>.</p>

<div class="note">
<p><strong>Note:</strong> This property has been returned <code>null</code> since Gecko 1.9.0.14 (Firefox 3.0.14) and <strong>removed</strong> in Gecko 29.0 {{geckoRelease(29)}}) for security reasons. For more information on installing PKCS11 modules, see <a href="/en-US/docs/PKCS11_Module_Installation">installing PKCS11 modules</a>. See {{ Bug(326628) }} for details on why the property was removed.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="eval"><em>objRef</em> = window.pkcs11
</pre>

<h2 id="Example">Example</h2>

<pre> window.pkcs11.addModule(sMod, secPath, 0, 0);
</pre>

<h2 id="Notes">Notes</h2>

<p>See {{interface("nsIDOMPkcs11")}} for more information about how to manipulate <code>pkcs11</code> objects.</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.pkcs11")}}</p>
